<app-nav></app-nav>

<div class="cover">
<div class="container-fluid">
    
    <h1>Register</h1>
    
    <form>
        <!-- 2 column grid layout with text inputs for the first and last names -->
        <div class="row mb-4">
          <div class="col">
            <div class="form-outline">
              <input #name type="text" id="form6Example1" class="form-control" />
              <label class="form-label" for="form6Example1">First name</label>
            </div>
          </div>
          <div class="col">
            <div class="form-outline">
              <input type="text" id="form6Example2" class="form-control" />
              <label class="form-label" for="form6Example2">Last name</label>
            </div>
          </div>
        </div>
      
        
      
        <!-- Text input -->
        <div class="form-outline mb-4">
          <input type="text" id="form6Example4" class="form-control" />
          <label class="form-label" for="form6Example4">Address</label>
        </div>
      
        <!-- Email input -->
        <div class="form-outline mb-4">
          <input #email type="email" id="form6Example5" class="form-control" required />
          <label class="form-label" for="form6Example5">Email</label>
        </div>

        <div class="form-outline mb-4">
            <input #password min="6" type="password" id="form6Example23" class="form-control" required/>
            <label class="form-label" for="form6Example23">Password</label>
          </div>
      
        <!-- Number input -->
        <div class="form-outline mb-4">
          <input type="number" id="form6Example6" class="form-control" />
          <label class="form-label" for="form6Example6">Phone</label>
        </div>
      
        <!-- Message input -->
        <div class="form-outline mb-4">
          <textarea class="form-control" id="form6Example7" rows="4"></textarea>
          <label class="form-label" for="form6Example7">Additional information</label>
        </div>

        <div class="form-check d-flex justify-content-center mb-4" required>
            <input #admin class="form-check-input me-2" type="checkbox" value="" id="form6Example11"  />
            <label class="form-check-label" for="form6Example11"> Admin</label>
          </div>
      
       
        <button type="submit" (click)="register(email.value,password.value,admin.checked,name.value)" class="btn btn-primary btn-block mb-4">Register</button>
      </form >
      
      <div class="text-center">
        <p>or sign up with:</p>
        <button type="button" class="btn btn-primary btn-floating mx-1">
          <i class="fab fa-facebook-f"></i>
        </button>
    
        <button type="button" class="btn btn-primary btn-floating mx-1">
          <i class="fab fa-google"></i>
        </button>
    
        <button type="button" class="btn btn-primary btn-floating mx-1">
          <i class="fab fa-twitter"></i>
        </button>
    
        <button type="button" class="btn btn-primary btn-floating mx-1">
          <i class="fab fa-github"></i>
        </button>
      </div>
    

</div>
</div>